@import 'community-grid.css';
@import '../general-repository.css';
/* @import 'https://cdnjs.cloudflare.com/ajax/libs/slick-carousel/1.9.0/slick.min.css'; */
@import 'https://cdnjs.cloudflare.com/ajax/libs/slick-carousel/1.8.1/slick.min.css';

.only-responsive, .find-responsive, .tech-responsive{display: none;}
.features-title {margin: 10em 0 6em;}

/* Slick Slider Repository */
.tec-container{
  margin: 0 auto;
  padding: 0 4em;
  max-width: 1920px;
}

.tec-container-sides{
  gap: 2vw;
  display: flex;
  flex-direction: row;
  align-items: center;
}

.tec-sides {position: relative;}

.tec-sides:first-child{
  width: 45%;
  display: flex;
  flex-direction: row;
}

.tec-sides:last-child{width: 55%;}

.find, .learn{
  margin: 0;
  line-height: 1;
  text-transform: uppercase;
}

.find{
  left: 0px;
  height: 0;
  width: 6%;
  padding: 0;
  top: 5.4em;
  line-height: 0;
  display: block;
  position: relative;
  transform: rotate(-90deg);
  font-size: clamp(1.4em, 3.4vw, 3.7em);
}

.learn{
  background: linear-gradient(45deg, #008aff, #00ffe7);
  margin: 0;
  width: 90%;
  padding-left: 1px;
  letter-spacing: -2px;
  background-size: 200%;
  transition: .5s ease-in-out;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  animation: animate 5s linear infinite;
  font-size: clamp(1.9em, 5vw, 5.5em);
}

@keyframes animate{
  0%, 100%{filter: hue-rotate(-50deg);}
  50%{filter: hue-rotate(360deg);}
}

/* Custom Slick Min */
.slick-track:after{clear: both;}.slick-list,.slick-slider,.slick-track{display:block;position:relative}.slick-slider{box-sizing:border-box;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;user-select:none;-webkit-touch-callout:none;-khtml-user-select:none;-ms-touch-action:pan-y;touch-action:pan-y;-webkit-tap-highlight-color:transparent}.slick-list{margin:0;padding:0;overflow:hidden}.slick-list.dragging{cursor:pointer}.slick-slider .slick-list,.slick-slider .slick-track{-webkit-transform:translate3d(0,0,0);transform:translate3d(0,0,0)}.slick-track{top:0;left:0}.slick-slide{outline:0;float:left;display:none;width:750px;height:100%;min-height:1px;border-radius:15px}.slick-track:after,.slick-track:before{display:table;content:''}

/* Slick Active */
.slk-nav-arrows {
  width: 100%;
  display: flex;
  height: 100%;
  position: absolute;
  justify-content: space-between;
  align-items: center;
}

.prev-hardware, .next-hardware{
  width: 50px;
  transition: .5s;
  cursor: pointer;
  position: relative;
}

.prev-hardware:hover, .next-hardware:hover{transform: scale(0.9 , 0.9);}
.prev-hardware{left: -70px;}
.next-hardware{right: -70px;}

.card-content{
  display: flex;
  height: 100%;
  margin: 0 auto;
  position: absolute;
  align-items: center;
  flex-direction: column;
  justify-content: center;
}

.slick-initialized .repo-item{
  display: flex;
  justify-content: center;
}

.repo-item img {
  width: 678px;
  height: 678px;
  object-fit: cover;
  border-radius: 20px;
}

.card-content h3{
  margin: 0;
  font-size: 80px;
  text-shadow: 3px 3px 14px rgba(0, 0, 0, 1);
}

.card-content a.want-participate{
  bottom: 0;
  width: auto;
  margin: initial;
  border-radius: 12px;
  position: relative;
  padding: 10px 50px;
}

.card-content a.want-participate .wave{background-color: transparent; box-shadow: none;}
.card-content a.want-participate .wave::after{background-color: transparent;}
.card-content a.want-participate:hover {transform: scale(0.9 , 0.9);}


/* Promo Services */
.controller{
  width: 35em;
  position: absolute;
  animation: bounce-long ease-in-out 2s infinite;
}

@keyframes bounce-long {50% {transform: translateY(7px);}}

.control-one{
  top: -4em;
  left: 5.5vw;
}

.control-two{
  right: 7em;
  bottom: -13em;
}

.gp-container{
  z-index: 1;
  margin: 0 auto;
  position: relative;
  max-width: 1400px;
}

.game-pass-promo{
  margin: 18em 0;
  position: relative;
}

.game-pass-title{
  line-height: 1;
  position: relative;
  max-width: 61vw;
  text-align: center;
  margin: 0 auto 60px;
  text-transform: uppercase;
  font-size: clamp(1.8em, 4vw, 5.4em);
  text-shadow: 0px 0px 20px rgb(0 0 0 / 50%);
}

.game-pass-card{
  height: 60vh;
  cursor: pointer;
  overflow: hidden;
  position: relative;
  border-radius: 10px;
  background-size: cover;
  margin: 20px auto 10px;
  transition: all linear 0.25s;
  background-position: center;
}

.game-pass-backdrop {
  gap: 40px;
  display: flex;
  width: 100%;
  height: 100%;
  align-items: center;
  flex-direction: column;
  justify-content: center;
  backdrop-filter: brightness(0.5);
}

.game-pass-card img{
  width: 100%;
  height: 100%;
  position: relative;
  object-fit: cover;
  background-size: 100% 100%;
  background-position: center center;
}

.game-pass-card h2, .game-pass-card p{margin: 0;}

.game-pass-card h2 {
  width: 100%;
  line-height: 1;
  color: #52b043;
  font-weight: bold;
  position: relative;
  text-align: center;
  text-transform: none;
  transition: all linear 0.25s;
  font-size: clamp(1.8em, 4.5vw, 4.5em);
  text-shadow: 0px 0px 20px rgba(0, 0, 0, 0.5);
}

.game-pass-card p {
  bottom: 0px;
  line-height: 1;
  max-width: 80%;
  position: relative;
  text-align: center;
  transition: all linear 0.25s;
  font-size: clamp(1.1em, 1.5vw, 1.4em);
}

.game-pass-card:hover {transform: scale(0.9 , 0.9);}
.game-pass-card:hover .game-pass-card p {bottom: 10px;}
.game-pass-card:hover a.want-participate {transition:.5s; bottom: 20px; padding: 10px 30px;}

a.want-participate {
  bottom: 5px;
  width: 270px;
  overflow: hidden;
  position: relative;
  padding: 20px 30px;
  border-radius: 13px;
  text-decoration: none;
  transition: all linear 0.25s;
}

a.want-participate:hover .wave {top: -120px;}

a.want-participate span {
  z-index: 1;
  color: white;
  display: block;
  font-size: 22px;
  position: relative;
  text-align: center;
}

a.want-participate .wave {
  left: 0;
  top: -80px;
  width: 320px;
  height: 180px;
  transition: 0.4s;
  position: absolute;
  background-color: #444857;
  box-shadow: inset 0 0 50px rgba(0, 0, 0, 0.5);
}

a.want-participate .wave::before, a.want-participate .wave::after {
  width: 200%;
  height: 200%;
  content: '';
  position: absolute;
  top: 0;
  left: 50%;
  transform: translate(-50%, -75%);
}

a.want-participate .wave::before {
  border-radius: 45%;
  background-color: #141414;
  animation: wave 5s alternate infinite;
}

a.want-participate .wave::after {
  border-radius: 40%;
  background-color: rgba(20, 20, 20, 0.5);
  animation: wave 10s alternate infinite;
}

@keyframes wave {
  0% {transform: translate(-50%, -75%) rotate(0deg);}
  100% {transform: translate(-50%, -75%) rotate(360deg);}
}

/* Rep Software Section */
.resume-software{margin: 14em 4em 6em;}

.resume-container{
  margin: 0 auto;
  position: relative;
  max-width: 1920px;
}

.icons-container{
  top: 0;
  left: 0;
  right: 0;
  gap: 10px;
  display: flex;
  height: 270px;
  position: absolute;
  align-items: flex-start;
  flex-direction: row;
  justify-content: space-between;
}

.apps-side {
  display: flex;
  flex-direction: row;
}

.icons{
  z-index: -1;
  width: 75px;
  position: relative;
  animation: bounce-long ease-in-out 5s infinite;
}

.li-one{left:27em;top:-1em;transform:rotate(-30deg)}
.li-two{left:31em;top:10em;transform:rotate(45deg)}
.li-three{left:9em;top:5em;transform:rotate(125deg)}
.li-four{left:-7em;top:-3em}
.li-five{left:-18em;top:8em;transform:rotate(15deg)}
.li-six{left:-31em;top:-1em;transform:rotate(105deg)}
.li-seven {left: -47em;top:4em;transform:rotate(350deg)}

.ri-one{left:-4vw;top: 3.6em;transform:rotate(-22deg)}
.ri-two{left: -1vw;top: -5em;transform:rotate(30deg)}
.ri-three{left: -8em;top: 11em;}
.ri-four{left: 3em;top: -4em;transform:rotate(141deg)}
.ri-five{left: -11em;top: 4em;transform:rotate(30deg)}
.ri-six{left: -3em;top: 7em;transform:rotate(16deg)}
.ri-seven {left: 4em;top: 1em;}

.resume-container h2{
  z-index: 1;
  line-height: 1;
  margin: 0 auto;
  position: relative;
  text-align: center;
  max-width: 1200px;
  text-transform: uppercase;
  text-shadow: 1px 1px 2px black;
  font-size: clamp(1.9em, 5vw, 5.4em);
}

.resume-container p {
  color: white;
  line-height: 1;
  text-align: center;
  margin: 1em 0 2em;
  font-size: clamp(0.8em, 1.2vw, 1.2em);
}

.operative-container {
  display: flex;
  margin: 0 auto;
  gap: 20px 30px;
  max-width: 1920px;
  align-items: center;
  justify-items: center;
}

.system-cards{
  width: 100%;
  height: 400px;
  cursor: pointer;
  overflow: hidden;
  position: relative;
  border-radius: 10px;
  transition: all linear 0.25s;
  background-position: center;
}

.system-cards img{
  width: 100%;
  height: 100%;
  position: relative;
  object-fit: cover;
}

.system-cards .software-name {
  line-height: 1;
  width: 100%;
  transition: .5s;
  bottom: 25px;
  color: orange;
  font-weight: bold;
  position: absolute;
  text-align: center;
  text-transform: none;
  transition: all linear 0.25s;
  font-size: clamp(0.9em, 1.5vw, 1.6em);
  background: linear-gradient(145deg, #f09433 0%,#e6683c 25%,#dc2743 50%,#cc2366 75%,#bc1888 100%);
  background-size: 200%;
  animation: animate 5s linear infinite;
 -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  text-shadow: 0px 0px 20px rgba(0, 0, 0, 0.5);
}

@keyframes animate{
  0%, 100%{filter: hue-rotate(-50deg);}
  50%{filter: hue-rotate(360deg);}
}

.system-cards:hover .software-name {bottom: 30px;}
.system-cards:hover {transform: scale(0.9, 0.9);}


/* Responsive Mode */
@media(max-width: 1920px){
  .tec-sides:last-child {width: 50%;}
  .slick-slide {width: 610px;}

  .repo-item img {
    width: 550px;
    height: 550px;
  }

  .gp-container{max-width: 60vw;}
  .game-pass-card{height: 700px;}
  .controller{width: 31em;}

  .control-one{
    top: -5em;
    left: 16px;
  }

  .control-two{
    right: -12px;
    bottom: -7em;
  }

/*   .li-one {left: 17em; top: 18em;}
  .li-two {left: 18em;}
  .li-three {left: -2em;}
  .li-four {left: -16em; bottom: 21em;}
  .li-five {left: -28em; bottom: 12em;}
  .li-six {left: -40em; bottom: 19em;} */
}

@media (max-width: 1680px) {
  .prev-hardware, .next-hardware {width: 40px;}
  .prev-hardware {left: -45px;}
  .next-hardware {right: -45px;}
  .tec-container {padding: 0 3vw;}

  .control-one {
    top: -7em;
    z-index: -1;
    left: -77px;
  }

  .control-two{right: -100px;}
}

@media (max-width: 1600px) {
  .game-pass-promo {margin: 13em 0;}
  .gp-container {max-width: 70vw;}
  .game-pass-card {height: 600px;}
}

@media (max-width: 1440px) {
  .features-title {
    font-size: 40px;
    margin: 7em 0 1em;
  }

  .slick-slide {width: 575px;}

  .slick-slide img {
    width: 550px;
    height: 550px;
  }

  .controller {width: 25em;}

  .control-one {
    top: -3em;
    left: -35px;
  }

  .control-two {
    right: -12px;
    bottom: -4em;
  }

  .game-pass-card {height: 500px;}
}

@media (max-width: 1400px) {
  .sponsor {margin-top: 0;}
  .game-pass-card {height: 479px;}
  a.want-participate {padding: 15px;}
}

@media (max-width: 1300px) {
  .features-title {margin: 5em 0 2em;}
/*   .operative-container {max-width: 90vw;} */
  .publi-space{padding: 0 10px;}
}

@media (max-width: 1200px) {
  .content-grid__items {
    grid-gap: 1vw;
    max-width: 115vw;
  }

  .prev-hardware, .next-hardware {width: 30px;}
  .prev-hardware {left: -20px;}
  .next-hardware {right: -30px;}
  .slick-slide {width: 45vw;}

  .slick-slide img {
    width: 35vw;
    height: 35vw;
  }

  .card-content h3 {font-size: 60px;}
  .controller {width: 20em;}
  .control-one {left: 5px;}
  .li-five, .li-six, .ri-four, .ri-five, .ri-six {display: none;}

  .ri-three {
    right: -13em;
    bottom: 18em;
  }

  .system-cards {height: 270px;}
}

@media (max-width: 1100px) {
  .content-grid__items {
    max-width: 170%;
    width: 170vw;
  }
}


@media (max-width: 991px) {
  .game-pass-title, .software-title{font-size: clamp(1.9em, 5.7vw, 4em);}

  .features-title {
    font-size: 50px;
    margin: 4.5em 0 1em;
  }

  .prev-hardware, .next-hardware {z-index: 3;}
  .prev-hardware {left: 0px;}

  .slider {
    width: 53em !important;
    --slide-size: 72vmin !important;
  }

  .slider__wrapper {margin: 0 calc(var(--slide-margin) * 0px) !important;}

  .control-one {left: -65px;}

  .control-two {
    right: -22px;
    bottom: -11em;
  }

  .game-pass-title  {max-width: 100%;}
  .gp-container {max-width: 80vw;}
  .game-pass-card p {font-size: 17px;}
  .game-pass-promo {margin: 17em 0 0;}
  .resume-software {margin: 10em 2em 6em;}

  .operative-container {
    gap: 20px 30px;
    flex-wrap: wrap;
    justify-content: center;
  }

  .system-cards {
    width: 46%;
    height: 150px;
  }

  .system-cards:last-child {width: 98%;}
}

@media (max-width: 880px) {
  .features-title svg {height: 100px;}
}

@media (max-width: 768px) {
  .tec-container-sides {flex-direction: column;}
  .tec-sides:first-child, .tec-sides:last-child {width: 100%;}

  .slick-slide {width: 90vw;}
  .prev-hardware, .next-hardware {width: 20px;}
  .prev-hardware {left: -30px;}
  .next-hardware {right: -30px;}

  .tec-sides:first-child {flex-direction: column;}

  .find {
    top: 0;
    left: 0;
    width: 100%;
    height: auto;
    line-height: 1;
    display: block;
    position: relative;
    text-align: center;
    transform: rotate(0);
  }

  .learn {
    padding: 0;
    width: 100%;
    letter-spacing: 0;
    text-align: center;
  }

  .slk-nav-arrows {
    width: 80%;
    height: 45%;
  }

  .slick-slide img {
    width: 100%;
    height: 360px;
  }

  .controller {display: none;}

  .game-pass-card p {
    font-size: 15px;
    padding: 0 10px; 
  }

  .system-cards .software-name {bottom: 6px;}
}

@media (max-width: 600px) {
  body{overflow-x: hidden;}

  .only-responsive{
    display: flex;
    height: 100vh;
    justify-content: center;
  }

  .welcome-video{
    padding: 0;
    width: 100%;
    align-items: center;
  }

  .videoo{
    width: 80%;
    display: block;
    height: 75%;
    margin: 0 auto;
  }

  .videoo video{
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 15px;
    background-color: #000;
  }

  .content-grid{display: none;}

  .box_keyboard, .box_mouse{
    position: absolute;
    will-change: transform;
    z-index: 0 !important;
/*     z-index: 110 !important; */
  }

  .box_keyboard{
    top: 60%;
    right: 20%;
    animation: move-astronaut-one 60s infinite linear both alternate;
  }

  .box_mouse{
    top: -10%;
    right: 7%;
    animation: move-astronaut-two 60s infinite linear both alternate;
  }

  .object_keyboard{animation: rotate-keyboard 200s infinite linear both alternate;}
  .object_mouse{animation: rotate-mouse 200s infinite linear both alternate;}
  @keyframes move-astronaut-one{60% {transform:translate(-160px, -160px);} 90% {transform:translate(-60px, 360px);}}
  @keyframes move-astronaut-two{60% {transform:translate(-60px, 410px);} 100% {transform:translate(-160px, -160px);}}
  @keyframes rotate-keyboard{100% {transform:rotate(-720deg); }}
  @keyframes rotate-mouse{100% {transform:rotate(720deg); }}

  .bubbles, .features-title {display: none;}

  #comunity, #tecnology {
    top: 0 !important;
    margin: 1em auto 5em !important;
    width: 70%;
}

/*   #comunity{
    width: 61%;
    top: 2em !important;
  } */

  .comm-title{
    color: white;
    display: block;
    font-size: 30px;
    padding: 0 10px;
    position: relative;
    text-align: center;
    margin: 3em 0 1em;
    text-transform: uppercase;
  }

  .slk-nav-arrows {
    width: 100%;
    height: 100%;
  }

  .prev-hardware {left: -15px;}
  .next-hardware {right: -10px;}
  
/*   #tecnology{
    top: 0 !important;
    margin: 1em auto 5em !important;
  } */
 
  /* Ads Style */
  /* .publi-space-tech{margin: 0 auto 100px !important;} */
 
  .tec-container {max-width: 90%;}
  
  .tech-responsive {
    display: block;
    text-align: center;
    padding-left: 10px;
    padding-right: 10px; 
  }

/*   .learn, .resume-container h2{font-size: clamp(2.2em, 4.1vw, 5.4em);} */
  .tec-container-sides {gap: 5vw;}
  .tech-responsive .find-responsive {float: none;}
  .tech-responsive .learn{margin-bottom: 40px; padding: 0;}
  .card-content h3 {font-size: 50px;}

  .slick-slide img {
    width: 360px;
    height: 360px;
  }

  .prev-hardware {left: -25px;}
  .next-hardware {right: -25px;}

  .game-pass-promo {margin: 6em 10px 0;}
  .gp-container {max-width: 90vw;}
  .game-pass-card {height: 350px;}

  .game-pass-title {
    margin: 0 0 16px;
    padding: 0 10px;
  }

  .game-pass-card p {
    padding: 0 5px;
    max-width: 100%;
    font-size: clamp(0.8em, 1.5vw, 1.4em);
  }

  a.want-participate {padding: 11px 30px;}
  a.want-participate span {font-size: 19px;}

  .operative-container {
    max-width: 93vw;
    grid-template-columns: repeat(auto-fit, minmax(min(100%, 45%), 1fr));
  }

  .icons-container {display: none;}
  .resume-container {padding: 0 10px;}
  .software-title {font-size: 35px;}
  .resume-software {margin: 7em 0 3em;}

  .system-cards {
    height: 100px;
    margin: 0 auto;
  }
}

@media (max-width: 360px) {
  .game-pass-card p {font-size: 15px;}
}

@media (max-width: 330px) {
  .tech-responsive .find-responsive, .tech-responsive .learn {font-size: 25px;}
  .slick-slide img {height: 310px;}
}